summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-24 07:34:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-24 07:34:59 +0000
commit490386eb6e07bed7184dd4063d5bfce87fa2e302 (patch)
tree8f566303b34b571f22435db457f7050c20ae4fb7 /dev-python
parentf0e92064b4a53672522e47d970e8dc360498678e (diff)
downloadbaldeagleos-repo-490386eb6e07bed7184dd4063d5bfce87fa2e302.tar.gz
baldeagleos-repo-490386eb6e07bed7184dd4063d5bfce87fa2e302.tar.xz
baldeagleos-repo-490386eb6e07bed7184dd4063d5bfce87fa2e302.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/asyncstdlib/Manifest1
-rw-r--r--dev-python/asyncstdlib/asyncstdlib-3.13.0.ebuild32
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.35.47.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.35.47.ebuild67
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-2.5.0.ebuild53
-rw-r--r--dev-python/dj-database-url/Manifest1
-rw-r--r--dev-python/dj-database-url/dj-database-url-2.3.0.ebuild30
-rw-r--r--dev-python/executing/executing-2.1.0-r1.ebuild2
-rw-r--r--dev-python/frozenlist/Manifest1
-rw-r--r--dev-python/frozenlist/frozenlist-1.5.0.ebuild53
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.34.0.ebuild59
-rw-r--r--dev-python/google-auth/google-auth-2.35.0.ebuild2
-rw-r--r--dev-python/grpcio-status/grpcio-status-1.67.0.ebuild6
-rw-r--r--dev-python/httptools/httptools-0.6.4.ebuild2
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.115.4.ebuild103
-rw-r--r--dev-python/hypothesis/hypothesis-6.115.5.ebuild103
-rw-r--r--dev-python/magic-wormhole/Manifest1
-rw-r--r--dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild70
-rw-r--r--dev-python/multipart/multipart-1.1.0.ebuild2
-rw-r--r--dev-python/openstackdocstheme/Manifest1
-rw-r--r--dev-python/openstackdocstheme/openstackdocstheme-3.4.0.ebuild29
-rw-r--r--dev-python/pandas/pandas-2.2.3.ebuild2
-rw-r--r--dev-python/pdm-backend/Manifest1
-rw-r--r--dev-python/pdm-backend/pdm-backend-2.4.3.ebuild75
-rw-r--r--dev-python/proto-plus/Manifest1
-rw-r--r--dev-python/proto-plus/proto-plus-1.25.0.ebuild45
-rw-r--r--dev-python/psycopg/psycopg-3.2.3.ebuild2
-rw-r--r--dev-python/pydantic-core/Manifest11
-rw-r--r--dev-python/pydantic-core/pydantic-core-2.25.0.ebuild167
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.32.0.ebuild2
-rw-r--r--dev-python/treq/treq-24.9.1-r1.ebuild2
-rw-r--r--dev-python/truststore/Manifest1
-rw-r--r--dev-python/truststore/truststore-0.10.0.ebuild47
-rw-r--r--dev-python/uv/Manifest2
-rw-r--r--dev-python/uv/uv-0.4.26.ebuild144
-rw-r--r--dev-python/uvicorn/uvicorn-0.32.0.ebuild2
-rw-r--r--dev-python/webob/Manifest1
-rw-r--r--dev-python/webob/webob-1.8.9.ebuild30
-rw-r--r--dev-python/zope-interface/Manifest1
-rw-r--r--dev-python/zope-interface/zope-interface-7.1.1.ebuild60
45 files changed, 1129 insertions, 144 deletions
diff --git a/dev-python/asyncstdlib/Manifest b/dev-python/asyncstdlib/Manifest
index 36f7a47e196b..8c15bc029f33 100644
--- a/dev-python/asyncstdlib/Manifest
+++ b/dev-python/asyncstdlib/Manifest
@@ -1,2 +1,3 @@
DIST asyncstdlib-3.12.4.tar.gz 47279 BLAKE2B 855f4ebb5619ab4aec429b551fb410855da150916416636737c980712e981a8f3b7339f7691d4fa1ee3439911d6e0733ff2431a520d515b836b183848cfb3013 SHA512 33da70653166525009680cd78e6bb7dabb8518babb73caac26dbea9dbd0b73898d1ffe17755f1505dde1c6a3407c0a31743ea60a66af1b30a587ec39fc4014ff
DIST asyncstdlib-3.12.5.tar.gz 49063 BLAKE2B d956683758b605323e9c4c12b401e2f123c4ad7677e8b64fd3909a95d1f973b0eb1a6116cf01231b92209f0d75dac3ef6806f6938fc9e59e4d1e860ecc7e7f71 SHA512 cf93bb6f867ac7cbea7cb707d491bfbb4da3c09eb6916cdd383a896d3e9cec64a23216129a54e1b87796cdff7ae539a340d726c58b160175a745d98466e66c05
+DIST asyncstdlib-3.13.0.tar.gz 49688 BLAKE2B 128ceb8ddd3c3b06285d6e2887b285f04485bff6fd32855f187f5b98e878d9bf6f53a0206b505cc440783f0649b31a8b69af8857f844526bbf791dc2e581265e SHA512 371d75bfa4b84451aa1a0cb3ece31fd36b97bad0b647bf62d2dbfa584227dd3e8409811b295f1d9c93cf33d6ee2ae8a1d4567b95c7bd368fe457416ea4d6981e
diff --git a/dev-python/asyncstdlib/asyncstdlib-3.13.0.ebuild b/dev-python/asyncstdlib/asyncstdlib-3.13.0.ebuild
new file mode 100644
index 000000000000..d58a964d0827
--- /dev/null
+++ b/dev-python/asyncstdlib/asyncstdlib-3.13.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="The missing async toolbox"
+HOMEPAGE="
+ https://github.com/maxfischer2781/asyncstdlib/
+ https://pypi.org/project/asyncstdlib/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 401feb3d0285..02d0aca64828 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.35.39.gh.tar.gz 872172 BLAKE2B 1baad362b9bfcf68ea89c9ba9ea473fcf245
DIST boto3-1.35.44.gh.tar.gz 875230 BLAKE2B 68c4fa6739a5d9cb720670a1bc14079ffac4b23101bd27367ec81675a34d717341c87257864a658c60d8a0c5fdea298f73db979b6aa64f65e9ea54479005d33b SHA512 6ff24f42088ae9f77b5e1ff033fab34c6a0c0f7fc46cf9cbe172b3151cf259e48c3804981afbc8de893dc2541105a04bc00d6becd3220c18243bda7ed206740b
DIST boto3-1.35.45.gh.tar.gz 875934 BLAKE2B 0b532577dd9c27c50d6ddeb9916205f53926a401c6acb10a83b3f1b812ec9b084dc940f85d74c16cd7575345b512c58c5bd3865eabcbff7a8e12010f5165dded SHA512 96468e6fd5bf266061f499aa79be0420ecf03f7dc3b9172e39e79cf1e144ddd3365a43c1e5a4c441e8fb7005968cd1571542a390ba4b864257f171d62b5abbca
DIST boto3-1.35.46.gh.tar.gz 876859 BLAKE2B c37a8af936c8b02e08fe08fc300bb46df748654819db3ff82cb93db1350b1c37983ab4de5c191dda43632bc1460fa4e5e711ff2517873620f8b600e0abd9a931 SHA512 911f2bcbbe5c130d540e8b9cf718b17d53a128db8d12f28c965832f574b7261e057d9b669561ed928c6bd500ad7059760e4d54a56af8c5bc0e7954e897f454bb
+DIST boto3-1.35.47.gh.tar.gz 877327 BLAKE2B 938f375ff94907713c91c849d2f16934088978dffbe93c0985d5a427ebe7aeea3e598dd373cf64c1a1d53cb7b3fd073c480b45aaf79e59697dee2a2c83102f5c SHA512 7df4fc0bb66df8ba1d1859ff727771a25e8eadcb6540f8b9ffc2b9f4d2358dca3b382e0868812d1bc6383abd19e4a73ea3328eb22f1d22583e23451f9b2a7279
diff --git a/dev-python/boto3/boto3-1.35.47.ebuild b/dev-python/boto3/boto3-1.35.47.ebuild
new file mode 100644
index 000000000000..d91ce27598cf
--- /dev/null
+++ b/dev-python/boto3/boto3-1.35.47.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index cd51fa6dc18e..8a7680be8c97 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.35.39.gh.tar.gz 13458607 BLAKE2B 631b16d9a4acf1a2c594318f20fb975
DIST botocore-1.35.44.gh.tar.gz 13472693 BLAKE2B a38fd45888ee1e77d7dec3fbd5aeb9f94cd825d1d54bd11a467ef9938753724958fc28eae4316d1802c729f02874113b028a929afb3de64400723c144d5d0eef SHA512 52f6c507efe175deef4e824c038f2db620f35f53f62a1372815b9c75a3638e371d89a8aa19f481f4ee29e58e5c30e5f9083fe14eb08048f80cd0f9aa1730841c
DIST botocore-1.35.45.gh.tar.gz 13481420 BLAKE2B 5b3559753dbe31febf6f0d037931300011c258176e25be0362c13a5a29863f0204a9f1bccecc4e29c3ddf8ebf7fea5cc65106220d36634415a7c5afff6c3b4ed SHA512 737caf38f4d890ba4383752ca735fe8eecaebdaea3cb00332fa8197697cc5159eb7d9c64d5c1b17813babceb29afa5a14a7c6ab047ce079b32c026e03a9234da
DIST botocore-1.35.46.gh.tar.gz 13487988 BLAKE2B d6349bf053c4742310fd63b49d07bd212705f057c196ea68de78a36717101c4c2eea0842033b5080535d2f777ebfb0742f11d5fd1ad4a91a1a59fa6f6f8fa3b6 SHA512 a073a318d50b479d5ae6158c7feaf24f9c2be256718b928f482c4f5b4daa06144fa667a5c2cbde642d2eef0fb997e64d0d734c7142115858f5395abdfc24cf74
+DIST botocore-1.35.47.gh.tar.gz 13489577 BLAKE2B 88e53f47f412842e7c02196a4f5328c7c085540e7f7d1bb472840f3995cfab8bdd36cca6d81e942cd5cb60671d9b83971fcbb01baf6d33588f4d6e492959c2d2 SHA512 16a779e93e7bc70ed63e26fedd2febb7f93cd133489647903f2f56d6dbade35a5e1d9541fdb0f8abbda28c04eec6df8f7a0d86cec61ed235897f8f859debb102
diff --git a/dev-python/botocore/botocore-1.35.47.ebuild b/dev-python/botocore/botocore-1.35.47.ebuild
new file mode 100644
index 000000000000..7816e9efeb52
--- /dev/null
+++ b/dev-python/botocore/botocore-1.35.47.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index 24377043fca7..d34c304b783b 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1 +1,2 @@
DIST cmd2-2.4.3.tar.gz 678661 BLAKE2B 806fbd6abc26737032dd6330ebabc1e5308e9082f9c98002845a54f1458d314feb476e4d491892e74cde16f5043c57495426ad50aaf3e7e8d0d938f0388db6e2 SHA512 1d440752262f38a742069e636373884edcc49c17ba17b21b24015cfe559b4df36b45ac9489f2f643897fbd38f54b8e6120daf07ef25d2f209af8a4ac8e4c0085
+DIST cmd2-2.5.0.tar.gz 688531 BLAKE2B b5b88faf2848b8941df70235c32451847c86dbc7953b960383e57fa1529d4d3c557d75a36010900f7702c68b3f46de1725fb4b74892073b0dcd975b4f880e9cb SHA512 7c04cb735624abdd8ba93aa7dd5155913fe6bd9f2021c58008a20e91c380fed87c1bb32b552be6b7ab47ceca49bc5dced9e31fe7a5a0b621475862b28216f4ee
diff --git a/dev-python/cmd2/cmd2-2.5.0.ebuild b/dev-python/cmd2/cmd2-2.5.0.ebuild
new file mode 100644
index 000000000000..c2aa8ea01106
--- /dev/null
+++ b/dev-python/cmd2/cmd2-2.5.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 virtualx pypi
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="
+ https://github.com/python-cmd2/cmd2/
+ https://pypi.org/project/cmd2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pyperclip[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+# pyperclip uses clipboard backends in the following preference order:
+# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
+# klipper is known to be broken in Xvfb, and therefore causes test
+# failures. to avoid them, we must ensure that one of the backends
+# preferred to it is available (i.e. xclip or xsel).
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ || (
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # TODO: tests_isolated?
+ epytest -o addopts= -p pytest_mock tests || die
+}
diff --git a/dev-python/dj-database-url/Manifest b/dev-python/dj-database-url/Manifest
index e7ecb5f66314..1e6f4d862740 100644
--- a/dev-python/dj-database-url/Manifest
+++ b/dev-python/dj-database-url/Manifest
@@ -1 +1,2 @@
DIST dj_database_url-2.2.0.tar.gz 10874 BLAKE2B 71bf484ba339edf9dc304085d433ae29b1efae6fe856152173989411cfffdb52297f7613b6f9337972cc8563494be4a94919055a0b7a84a0b066d64d5fe60d59 SHA512 17c26dc07e309ba448976fafdbd3bdc74cc2f5f7022fb1f041494f2555b8a77b9fc602c1f11602da5b8574487ca997e7b71d7859dd08875b2295ae08262c39bc
+DIST dj_database_url-2.3.0.tar.gz 10980 BLAKE2B fba212a3795fa735646d35b4d228d5581ef2310b9bb496cbc0305774e96074d5e7734f9970f1808ce7a7d39836937b4b33a509190c4194c2fbb494b598b9b57a SHA512 ad1c05fe7ec1340044c8f47702b5d6962127621f33dfffd9236799bdf6119c6fbe34ec0521777704e3f465a3587b04aaebc9f68170a583007ac21d6dfba06a12
diff --git a/dev-python/dj-database-url/dj-database-url-2.3.0.ebuild b/dev-python/dj-database-url/dj-database-url-2.3.0.ebuild
new file mode 100644
index 000000000000..19e0570dd503
--- /dev/null
+++ b/dev-python/dj-database-url/dj-database-url-2.3.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Use Database URLs in your Django Application"
+HOMEPAGE="
+ https://github.com/jazzband/dj-database-url/
+ https://pypi.org/project/dj-database-url/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ eunittest -s tests
+}
diff --git a/dev-python/executing/executing-2.1.0-r1.ebuild b/dev-python/executing/executing-2.1.0-r1.ebuild
index 3ef04f7e5e2b..42323b0c5032 100644
--- a/dev-python/executing/executing-2.1.0-r1.ebuild
+++ b/dev-python/executing/executing-2.1.0-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
BDEPEND="
dev-python/setuptools-scm[${PYTHON_USEDEP}]
diff --git a/dev-python/frozenlist/Manifest b/dev-python/frozenlist/Manifest
index bdd0f7ed2588..d400ac05ae2c 100644
--- a/dev-python/frozenlist/Manifest
+++ b/dev-python/frozenlist/Manifest
@@ -1 +1,2 @@
DIST frozenlist-1.4.1.gh.tar.gz 46357 BLAKE2B 44ee864cd6c7918634d2db85937d778a8526f3117e4d27e06267c979bda2228de5bacaa87d8e0339f7718d6c12325336025214b8d42bdcc744aac7adb63b736a SHA512 a82059fd7d16ec8e17cdf9d05eb128194fc3eed7c20ea4a3daf508a949e6c039fb5824794eac1ca768de11d883f55f46de45f5dcc5031f5cb31291b33df87023
+DIST frozenlist-1.5.0.gh.tar.gz 46957 BLAKE2B 385b6439985256c5fd074582001a9c3d8ae82a0b839abfb3c2ff054ba3f5904d17740d7e49a17c96c571a0d8940933d292cc980c5a7bb30ae25fe88484ade185 SHA512 4486a3132038cf3eb29184bc27baab2f166078d25163da29114cb0595bd97c88848d88241cef39d42be9da5e2a99d14141d899bc5f268690c97bf38bf07c54dd
diff --git a/dev-python/frozenlist/frozenlist-1.5.0.ebuild b/dev-python/frozenlist/frozenlist-1.5.0.ebuild
new file mode 100644
index 000000000000..3908f0d381f0
--- /dev/null
+++ b/dev-python/frozenlist/frozenlist-1.5.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A list-like structure which implements collections.abc.MutableSequence"
+HOMEPAGE="
+ https://pypi.org/project/frozenlist/
+ https://github.com/aio-libs/frozenlist/
+"
+SRC_URI="
+ https://github.com/aio-libs/frozenlist/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ dev-python/expandvars[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # pypy is not using the C extension
+ if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+ local -x FROZENLIST_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf frozenlist || die
+ epytest -o addopts=
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index f28bb06ff293..c836748da8b9 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1 @@
-DIST google_auth-2.34.0.tar.gz 257875 BLAKE2B 3ebd19aff528673e2240769b606cc6c88cead7dad4beafd58966fe4534a7a5b016daac448658992d5210a69749968975bfb9de462fa8de5891f1412c141b2cad SHA512 fd023bb3d8803e267a7c50536a30e749cfe388e95bd580556e9a60c88c093eb70b93493c4d277dcc77588a43644d90a0c5b80cab946b29f37af99ee913571b8b
DIST google_auth-2.35.0.tar.gz 267223 BLAKE2B d30c8ca15f0e8183c1d50c285d578d8373bf722dddbeb2d5e423b2e25b26f038d406a6dccacf2cebbb0741a2ef07e8b0c86d0362734db3a56054ff76b6d213d7 SHA512 5c359bb94f213812c57cc2c2942d1da3aa08f0e73dde6f5b6c2f563fb51056009f3b821ec0fc39571221da267011d850c242a5ab044d88648be44759f7337973
diff --git a/dev-python/google-auth/google-auth-2.34.0.ebuild b/dev-python/google-auth/google-auth-2.34.0.ebuild
deleted file mode 100644
index a8fa3bae72ac..000000000000
--- a/dev-python/google-auth/google-auth-2.34.0.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Google Authentication Library"
-HOMEPAGE="
- https://github.com/googleapis/google-auth-library-python/
- https://pypi.org/project/google-auth/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-RDEPEND="
- <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
- >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
- >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
- >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/flask[${PYTHON_USEDEP}]
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/moto[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- dev-python/pyu2f[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/responses[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local EPYTEST_IGNORE=(
- # these are compatibility tests with oauth2client
- # disable them to unblock removal of that package
- tests/test__oauth2client.py
- )
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p asyncio
-}
-
-python_compile() {
- distutils-r1_python_compile
- find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/google-auth/google-auth-2.35.0.ebuild b/dev-python/google-auth/google-auth-2.35.0.ebuild
index ddeafaba148a..a8fa3bae72ac 100644
--- a/dev-python/google-auth/google-auth-2.35.0.ebuild
+++ b/dev-python/google-auth/google-auth-2.35.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
RDEPEND="
<dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/grpcio-status/grpcio-status-1.67.0.ebuild b/dev-python/grpcio-status/grpcio-status-1.67.0.ebuild
index d95153fd59e0..588229a88a27 100644
--- a/dev-python/grpcio-status/grpcio-status-1.67.0.ebuild
+++ b/dev-python/grpcio-status/grpcio-status-1.67.0.ebuild
@@ -16,10 +16,8 @@ HOMEPAGE="
https://pypi.org/project/grpcio-status/
"
SRC_URI="
- test? (
- https://github.com/grpc/grpc/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
- )
+ https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}/src/python/grpcio_status
diff --git a/dev-python/httptools/httptools-0.6.4.ebuild b/dev-python/httptools/httptools-0.6.4.ebuild
index 8d9d853cee7d..8b2bb094e179 100644
--- a/dev-python/httptools/httptools-0.6.4.ebuild
+++ b/dev-python/httptools/httptools-0.6.4.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~riscv ~sparc"
+KEYWORDS="~amd64 ~mips ~ppc64 ~riscv ~sparc"
# don't ask me why they use both
DEPEND="
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 7d6694082940..c3f5315666c2 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,5 @@ DIST hypothesis-6.112.4.gh.tar.gz 9477498 BLAKE2B ef27f97b419e0bb454ef63c03ecf87
DIST hypothesis-6.114.1.gh.tar.gz 9477292 BLAKE2B 3dadb706f7d283febdc30c9e897fa5b648382edd9bba0ed0824abc2f2c1f6562f0ac77003df496d1def1e56092412c14674b5e768f9583607463f92b78770ad5 SHA512 14526a836c71cdec68a3fbd54391d4f6fe6911305fea9b349c77c59a3f352b7105531a44df05e26cd372d457ed07f7c8199967f444ede14b7d66151afe815727
DIST hypothesis-6.115.2.gh.tar.gz 9478467 BLAKE2B 6647853d1b97bdc550b884f917c29c8b1d0a163532b64df3150ccb2ab91ce8df2084260dd8dcea3125178c9c94a4603c1a66b4d8759941079438a72a6c7805df SHA512 ed141aad86d22f7a9ef9f3a84651824bcfca94dce5dfef8b579b8eb75b6e3a3db316b7b8e3c08903c2ff01609f1ce7218a9e8c738281b8b0ede6e3d7758fac8a
DIST hypothesis-6.115.3.gh.tar.gz 9478450 BLAKE2B ab29288693f05c485ddab031923ede043405b293a04c2917553e8dc01320bdf9fbf706e37e269fa0cb42b2ec8741201d87a6780d6c1deda3d581b98a63d5a47e SHA512 564d2b3cf1e847f283a73b2159086757171fc94605a315e1ccb37e515f7738a8e180211b66d233cd5bd9c47a124b35f3a8f6221212e613c5b936bb76472a924e
+DIST hypothesis-6.115.4.gh.tar.gz 9479429 BLAKE2B 2c8664f506ddc84c0350fc3a3ad7b23b49c472a18ada160adc7b1c2a35fd2de01cb7e0558bf32da211ac2ecfe2f65a2b7ab91bbacf0f150baf20f73d02cdafa9 SHA512 409dbcd04ccd46d43cef6429d89a768ae90e86b58cd35dc25315d972a9c6d4e05b40ff82a12981b02195bca0cf1acba9fab4ad3b3c6c25d5072c2696c8d347fc
+DIST hypothesis-6.115.5.gh.tar.gz 9479622 BLAKE2B 44e21c25fbfb0da48102010a23522a636dd7dba0cbae3e1589710e816cb1f83abd33611750a76fd68c965dff5e0d1c234a5fb87da7cbf6ae0ebb4d3a8152ae9f SHA512 e6528eb48710b61f6ef18cc1415f9977c0a4c10d86f4d92da51859f17dc1b24e16ea7cbce5be2438794edb1002b426fc9911e02bb1ce456d7f812262bcc3bd2f
diff --git a/dev-python/hypothesis/hypothesis-6.115.4.ebuild b/dev-python/hypothesis/hypothesis-6.115.4.ebuild
new file mode 100644
index 000000000000..902ce1505c8b
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.115.4.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/hypothesis/hypothesis-6.115.5.ebuild b/dev-python/hypothesis/hypothesis-6.115.5.ebuild
new file mode 100644
index 000000000000..902ce1505c8b
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.115.5.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/magic-wormhole/Manifest b/dev-python/magic-wormhole/Manifest
index 97bb08a06197..7d1633665afd 100644
--- a/dev-python/magic-wormhole/Manifest
+++ b/dev-python/magic-wormhole/Manifest
@@ -1,2 +1 @@
-DIST magic-wormhole-0.15.0.tar.gz 283096 BLAKE2B 5568dfbebac0410f707df3dbd8fa20c20968a7f72fc2d5ae746ab35709e19241f15ab0e4e6c6f9510766b76de011abc1d28950372a2caac872ba21bf1b8d6692 SHA512 4afd8f1a84651e9fdb516b64c182112adb80ae37e01d89e5255c1c928f3b22c7a034d5fd77191965c34dd004c02c379d469a0c82ac5238fda2a0fb8a2d2477a9
DIST magic-wormhole-0.16.0.tar.gz 283219 BLAKE2B a99b4ed779af7bed39df18a1c2eaab76fab6f7966938cbd8db55ce89353c1e89193b46d09599477266a5e5d5c52f19965f412e74ae0f8ab0d32ec47184319cb0 SHA512 c0cb8391e14bb34874f099646bb8bd80f812030f365e590915ddb50217b4717bb0ddfff3edc4694007d9c79b209045c6ca621a2890d65680146087b47bee8fd8
diff --git a/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild b/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild
deleted file mode 100644
index 9406f2d08178..000000000000
--- a/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit bash-completion-r1 distutils-r1 pypi
-
-DESCRIPTION="Get Things From One Computer To Another, Safely"
-HOMEPAGE="
- https://magic-wormhole.readthedocs.io/en/latest/
- https://github.com/magic-wormhole/magic-wormhole/
- https://pypi.org/project/magic-wormhole/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
- >=dev-python/autobahn-0.14.1[${PYTHON_USEDEP}]
- dev-python/automat[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/humanize[${PYTHON_USEDEP}]
- >=dev-python/iterable-io-1.0.0[${PYTHON_USEDEP}]
- dev-python/noiseprotocol[${PYTHON_USEDEP}]
- dev-python/pynacl[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- ~dev-python/spake2-0.8[${PYTHON_USEDEP}]
- >=dev-python/tqdm-4.13.0[${PYTHON_USEDEP}]
- dev-python/twisted[ssl,${PYTHON_USEDEP}]
- >=dev-python/txtorcon-18.0.2[${PYTHON_USEDEP}]
- >=dev-python/zipstream-ng-1.7.1[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- dev-python/versioneer[${PYTHON_USEDEP}]
- test? (
- dev-python/magic-wormhole-mailbox-server[${PYTHON_USEDEP}]
- ~dev-python/magic-wormhole-transit-relay-0.2.1[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- distutils-r1_src_prepare
- rm versioneer.py || die
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
-
-src_install() {
- distutils-r1_src_install
-
- newbashcomp "${ED}/usr/wormhole_complete.bash" wormhole
- insinto /usr/share/fish/completions
- newins "${ED}/usr/wormhole_complete.fish" wormhole.fish
- insinto /usr/share/zsh/site-functions
- newins "${ED}/usr/wormhole_complete.zsh" _wormhole
- rm "${ED}/usr"/wormhole_complete* || die
-}
diff --git a/dev-python/multipart/multipart-1.1.0.ebuild b/dev-python/multipart/multipart-1.1.0.ebuild
index fdd2820a5575..7afd1d8b87be 100644
--- a/dev-python/multipart/multipart-1.1.0.ebuild
+++ b/dev-python/multipart/multipart-1.1.0.ebuild
@@ -16,6 +16,6 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
distutils_enable_tests pytest
diff --git a/dev-python/openstackdocstheme/Manifest b/dev-python/openstackdocstheme/Manifest
index f77ae47497ad..5ba3efb3401d 100644
--- a/dev-python/openstackdocstheme/Manifest
+++ b/dev-python/openstackdocstheme/Manifest
@@ -1 +1,2 @@
DIST openstackdocstheme-3.3.0.tar.gz 1256566 BLAKE2B d69f9edae656de888cb06b9a4c42ece7c615976d8e454b5b391772a19958366ed14c57b55a3e8514052a845eaf5f9774e5415e71c0d16e44dab1c7285c66be45 SHA512 b49be9d4b7deccbdf6f9c398ddd1e763572dadfecdc228fe6956aab5fdb5588a4d20aaa1e445b2de66e99fe0953f753c2734bb6bc2211836f5bf4b0567ba7deb
+DIST openstackdocstheme-3.4.0.tar.gz 1256314 BLAKE2B 595f1a8b1729cd79e998d4de9817daf23365b4e1b9d8361afbddbd20ecd8ead3c07662a5ff0de70986547ed3cad32785c5182cdf1fadfea455d6824036b5f59b SHA512 34cc9a2f4d1f6cda86e4f4b411edaf3d3fc229c2384ce160cb9b65068054793867b14c40beaf9f4b46948da8f22f70a68d5a3868c4b8605ade0aa2b0d8750828
diff --git a/dev-python/openstackdocstheme/openstackdocstheme-3.4.0.ebuild b/dev-python/openstackdocstheme/openstackdocstheme-3.4.0.ebuild
new file mode 100644
index 000000000000..fd220e699932
--- /dev/null
+++ b/dev-python/openstackdocstheme/openstackdocstheme-3.4.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Theme and extension support for Sphinx documentation"
+HOMEPAGE="
+ https://docs.openstack.org/openstackdocstheme/latest/
+ https://opendev.org/openstack/openstackdocstheme/
+ https://github.com/openstack/openstackdocstheme/
+ https://pypi.org/project/openstackdocstheme/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc64 ~riscv ~s390 ~x86"
+
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${BDEPEND}
+ >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pandas/pandas-2.2.3.ebuild b/dev-python/pandas/pandas-2.2.3.ebuild
index b5365f8972ee..a6ee1ad4fe78 100644
--- a/dev-python/pandas/pandas-2.2.3.ebuild
+++ b/dev-python/pandas/pandas-2.2.3.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~loong ~riscv ~x86"
IUSE="big-endian full-support minimal test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pdm-backend/Manifest b/dev-python/pdm-backend/Manifest
index 80f72eebdb78..8851b222d230 100644
--- a/dev-python/pdm-backend/Manifest
+++ b/dev-python/pdm-backend/Manifest
@@ -1,3 +1,4 @@
DIST pdm-backend-2.3.3.gh.tar.gz 136942 BLAKE2B 14f2584f22f1c4e08f687c77621269ae1e5acfe4babb1ab427c10d65ff07841b8175479f867870b9a5745db76444ca140a7da497a94c831ca6d0ea1e67b4e88f SHA512 382ad95e2811f1142fee66065f96ede1a646c3e2b9fbfafc6afb17442d3aeccfbf1ff6260952986a025791d3d56a2c4b730decb3cb65e893c25a710e16cbcfc8
DIST pdm-backend-2.4.1.gh.tar.gz 140137 BLAKE2B fba054e7d94544ed6864b28d13bcc57e585d74b37e775ac0ae2d2e7041d6f8e34bdb5fbaff1b3d918ca75a2c4d7165d97024c63b48d2a2e0a0f3444ffef72669 SHA512 50e28e301c38e47c6c6d2e1a3c01a27da06517e40bd04b2809a130f14ec4de6811b28d8480093efa2e8209be2769b886f65106bf9a94297274b6a5853f901964
DIST pdm-backend-2.4.2.gh.tar.gz 143950 BLAKE2B aa7d88af61c3c8ae8f205878ae675e6d9d66525f1f01bd992f8e2ccf572fd4d648806c02bbd61f01678e87995c68409b1150a8193863d13acc5525c7970ea457 SHA512 98470a622344dfa54e4da38936e469beee17da6a324c7109fd9e92c2b2cea42cf298a634040face2ca092083dbad255857b2d47d11652990abf490826e2ffa99
+DIST pdm-backend-2.4.3.gh.tar.gz 146089 BLAKE2B 36f65db90de5b507348a2a8407ae0eec8e1939c6b0fea1181548de910fad2497594e17aee7d478572a32e28260ef15660bddfaec4d921b2975b5a51da031dc1e SHA512 378bc4360140f18dd7f66701da77f4b98ef4bad39c86055f11f4e508b16ebbbbce2188f47dedc05cd43525baf7873fc4565ee98d00d9e65efd9d8fc1820ddc15
diff --git a/dev-python/pdm-backend/pdm-backend-2.4.3.ebuild b/dev-python/pdm-backend/pdm-backend-2.4.3.ebuild
new file mode 100644
index 000000000000..5927754aaf13
--- /dev/null
+++ b/dev-python/pdm-backend/pdm-backend-2.4.3.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-backend/
+ https://github.com/pdm-project/pdm-backend/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-backend/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# see src/pdm/backend/_vendor/vendor.txt
+RDEPEND="
+ >=dev-python/editables-0.5[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.9.0_beta7[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r src/pdm/backend/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.backend\._vendor\.:from :' \
+ -e 's:from pdm\.backend\._vendor ::' \
+ -e 's:import pdm\.backend\._vendor\.:import :' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ # this must not be set during src_test()
+ local -x PDM_BUILD_SCM_VERSION=${PV}
+ distutils-r1_src_compile
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -k "not [hg"
+}
diff --git a/dev-python/proto-plus/Manifest b/dev-python/proto-plus/Manifest
index 8e64f520293d..2213b5c17e0e 100644
--- a/dev-python/proto-plus/Manifest
+++ b/dev-python/proto-plus/Manifest
@@ -1 +1,2 @@
DIST proto-plus-python-1.24.0.gh.tar.gz 100401 BLAKE2B 29094738e9c84559b8b51b078ecb059e7475c5c6e9392f23925c6df264efebd22c191c5b593fc659aabb20ce9cb0d93cde9df28b0b40aac4bbc80e075a95ec24 SHA512 3995df0a7df60a9a5c9325c29456f73d8482ae3d765f9553e5633b8d0ae0869c6fe3cd60e780f8fcd49d04470205abf621bc56c20d64252b76d51c19ff283372
+DIST proto-plus-python-1.25.0.gh.tar.gz 101442 BLAKE2B a98b5131f4e55473eadb09ec9a692ef7d53312ae8f4c925ab0c5ffada25c3c3b154738c766a4e41e753c3b292c93faee54e6d7f8800c7a0af6665e4e341086ce SHA512 449fb9fe2950cff98d05fc86b4f35fab4a1b4f7c27a3b9174dbb1f6aac92484088f44c9fda4109c3f693d890606505808d7a489412be2d091e9962363c57be4e
diff --git a/dev-python/proto-plus/proto-plus-1.25.0.ebuild b/dev-python/proto-plus/proto-plus-1.25.0.ebuild
new file mode 100644
index 000000000000..8060e8a390e7
--- /dev/null
+++ b/dev-python/proto-plus/proto-plus-1.25.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=${PN}-python-${PV}
+DESCRIPTION="Beautiful, Pythonic protocol buffers"
+HOMEPAGE="
+ https://github.com/googleapis/proto-plus-python/
+ https://pypi.org/project/proto-plus/
+"
+SRC_URI="
+ https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/protobuf-python-6[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/google-api-core-1.31.5[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/psycopg/psycopg-3.2.3.ebuild b/dev-python/psycopg/psycopg-3.2.3.ebuild
index b6cba1bd80af..be2c0f7068d6 100644
--- a/dev-python/psycopg/psycopg-3.2.3.ebuild
+++ b/dev-python/psycopg/psycopg-3.2.3.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="LGPL-3+"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="+native-extensions"
DEPEND="
diff --git a/dev-python/pydantic-core/Manifest b/dev-python/pydantic-core/Manifest
index e30d0d372fc1..1bf3b7df7846 100644
--- a/dev-python/pydantic-core/Manifest
+++ b/dev-python/pydantic-core/Manifest
@@ -47,16 +47,22 @@ DIST proc-macro2-1.0.86.crate 48958 BLAKE2B 4b89e07f23af8328dbb34fe2b3f1b202f1e6
DIST pydantic_core-2.23.4.tar.gz 402156 BLAKE2B af899e149693907542296b5b4fa5f982d2dca5c090331703212aabbbce0a8e0badca3947affa9e42998949ebd18b1ffc2ad9904b47e130bbe7e90150c32bc527 SHA512 c7c9a303ff3c751108622f804f812f3793ad93a95e560b0d6b0a866c3bd41ed7bfdbcd87483f37ad3849969c72adde24083d1a9015ebd610847a7fa6d4068e24
DIST pydantic_core-2.24.1.tar.gz 406309 BLAKE2B d87fb47c5e90709cc37dff510ba9f57aa2a6ffd23eb82c9c033cd5fd44304cc93fc0c4059038296b9de342943e7d1ebe002f9760b0c226c4ad2d71feb04e89cd SHA512 e893138e658f8b3363027b34e9089da46747c382dcc5b814a89cd48e1e2fe7a4c68ee0931b51f2d4dc907a4dd6be1cd8da84881db715646a76f3cf20ab49b490
DIST pydantic_core-2.24.2.tar.gz 406403 BLAKE2B 4233c80e47121f745771d24dacbde6eb1e8053564f519daeb005858d12229fdd27d1e19b3c751d56cb9bf0d06473b48f8e9a550197ea18fd1efc63c987a475a9 SHA512 29f60aeea476a5a77e0ae489792fb63515f930bc2ea1bc73048bee8e9550d396fddac9df1001e392fa04054c74663756352257a9f848532cc8620a7a78012bed
+DIST pydantic_core-2.25.0.tar.gz 407498 BLAKE2B 2f729013d1da81bdedc61ae67c2c11c31edec97c6de141255cd642255c3447523e13c25d2dff034e8229f86067388109237358c76dfafea2bf938a34668d9938 SHA512 2c3bf8818ba8b7cea4eb580709b38860465c774381170c6a52a771a97a5b9f9accf86bcf3d1131b5cb40fcf805f2cdc7bdf54541da50d9bf5b02644e674ae8a9
DIST pyo3-0.22.2.crate 538342 BLAKE2B faf347695117f9fe0ebe5cd7f6aa1b0dcfe718343875d6c06438046deccc1075f104d2a2413dcda41ae9827bc363aa147057b45968f6634f577a6a4510a4bb8e SHA512 e8bae09059f50ffe477dad44499cedeaf3a734665f0fd8e8bd4b44f48578d21e4bdb8d55ceea00c5a27da750761842ddf89cfcecdecb2e7a4a17ab192259be9c
DIST pyo3-0.22.3.crate 542516 BLAKE2B 26607f4455a58ea704cc2d01dfe3857147e03ff891ab0aadab73c7eef2ecb4445097b369d8986c18bdd5efa3ba767b9f41411d5a8f10d6d06851634d07d42642 SHA512 17940627701b0d3c401ccb4221241e7bc727d2b89cc26bbb231aec597cda1c04f07d4315b617d4e9f85623a6fff0031f83c6b7afcaf442c50e694785b07022ad
+DIST pyo3-0.22.5.crate 546700 BLAKE2B 8ee81360b205bcfc763dbd3d313e2d2f31bde4577bdc77a2ebc3084aa06e30bcc1f7efb97349d781b27882af5b8e82c6476498c86039b9c39286721ed1c08504 SHA512 48b9ada19bb12c6e5f1d41982c3b607f206d88dc078517c45106b631e0ad973145b0b60af06e58013a5189ca8b50e1cfa326c6904bba5aadb791933272ffb277
DIST pyo3-build-config-0.22.2.crate 31225 BLAKE2B c2e6a3d3d23b7f2f51bcbf1214ab20a298a1e62f85c9af3dab1e77b09f20b657b576feefffb18eb49d438f0ffab525b6bcd1086d500601c327ffd4fd24a719ee SHA512 644c82d30bb27051557efcc9789a81380a64e29bc62abf97de88f42c3791dac74228c7a7d09e0d46d14f07c0475f0bc03fac6ed1367b9a616153e8820b94cbc8
DIST pyo3-build-config-0.22.3.crate 31297 BLAKE2B dbac8f03e96ba1bfef9b31b3e28e7f81a79f24a9596ae786f602633dc18dbccb583380d324e3e2ccdc2909c57a23d1e488f300ac123c7f8309e052fc97c9fe28 SHA512 42265d570b07b23603783903181c49c4a8bfef1a67055510d9c8c9a504c8e0435b8bae9a352740be791c5562e0abdc48f97ea1d7c03cfc270e821e643dbadea2
+DIST pyo3-build-config-0.22.5.crate 31293 BLAKE2B c1e10f78ce66993fa4a88a5994f0266200a529c2939dc1d29137aaa6133bd4c83062cd00d347b491afe5dfcf2995f4a1a0da271a24baf198447b5983a9620d83 SHA512 c11ebfeff1e8ada612dbab16bd86fb8659edb9026bbd826cba84601096fa4192faf260e067b5f9efcd0e8e72fe90bc8f08358cbced45175c662d78bde5eb3d82
DIST pyo3-ffi-0.22.2.crate 67749 BLAKE2B 0a4357d5f4fbcab9717d58b7a80b63a63bc329267d4725136c4eac7c0101095a50e5f840638dde79034e5df99c4f46664cfdc2ad437837643db5d475c5705cb3 SHA512 bf8b83b4790832d99de8c6a61a15a43fc189505dd843011933305f7f93c4f5f4849fb00cc2a6fa410b788645f8ed8c0df61799cf801966a925abb9756b1ab579
DIST pyo3-ffi-0.22.3.crate 69099 BLAKE2B c085c9485f585ab8c2a636385dcf90dc70fe854285b223a298283803c98ff21d3c3623a2cc8a00b61950ac07c123efa7c244d4c924eb0945b4a6c6023cd7e4d5 SHA512 f964b6b0ed17f968a06106f5396a23c5162f66bcf36e897ecf7b37cbd059f28093400c602b51d9a28dfdcfc8af6ff21c4fd68c6627b049a319c85096bf6024cd
+DIST pyo3-ffi-0.22.5.crate 69354 BLAKE2B 91dfb41a24cb2b12bf54d6e54949a381ba6635ee55623a7f77a7e672fcf71d7f6937b7ab96f20457d770cf132047ddc9df50ea4aae8506d64e833f11a3b504e6 SHA512 36b8ed6273f7a0298179729c41081c787f353eb338be0f470859ce62a12e05305bd53eb24b6e72f2c56971f18bd64d16c63576f41909e9ac849f355041139a91
DIST pyo3-macros-0.22.2.crate 8136 BLAKE2B 9dc97d2f60581db1b8ddb562dac917069525f297fe2cbb9aff3ed34d5a08ea43c112c9c7a450539da3536d753778b5ca506dd1b18e1d6b8a3649fc098e7af439 SHA512 f4f4f6af8dc3aa4bcc1698661990ab2112391ef9502e9f71d86e35bd10dc4e1be309102ebb1b7b32751817a6033168dc0486fdb16b35c626101e69f0de807a4a
DIST pyo3-macros-0.22.3.crate 8183 BLAKE2B 5ef8297c67f2910580caa349951580b4d962329f1324eb3a53ef946cc5f41ffe10f4af1d7184904621cd0f318a94618af43cf785f3a3ef57fc4747c47db02820 SHA512 c0ad8480ef7f7ac5287a3bbd363136c63668b2cb77f475d5a6cd5921aa9dcf0336baf6a464b4d2a0068fb21724184785faa79d75b588f90359e8aa250a17e85f
+DIST pyo3-macros-0.22.5.crate 8186 BLAKE2B 78f0c348fec0878ce4c873af3d4c438ccf02a5e971f2fd8b1cc9ea40a3aa8396dc6ea11e4d421a8b8c5eff5752182623632d92403ba6c5565b6b71b386768b04 SHA512 cfd848fb82f183290791930ca2e43a0db63de4f23436c1f1d3c688efdcbba1462346177c5956817418a0f0ea172b1039f5408a02a05ff03671dbb025f0697076
DIST pyo3-macros-backend-0.22.2.crate 65620 BLAKE2B 37fba9ff384373418d3a7341acafb8e33308a64e30026f828693a37c32ab4a74d058f2db84d00467a20f9f267c96fe54c0f154d1ebbae92490e8dfc0d29c042f SHA512 0517080c0d5d4ed8136521fd37aa3a192c2eb8cab58545d8543ee4df9cd0dcea19fe0678d5ab90f05fe3eb0f4a86fc2f07b76f2e12ac1fcf7e7c195c2ffa4fd8
DIST pyo3-macros-backend-0.22.3.crate 66032 BLAKE2B 33c2e8cae9b44e4a4806833f780e03f553ef0e6dbac733e9232e406fb64757691fbdfb65fd864280e14e8af8a4bb9c485a3c02227e8d1286ce11f1d4dbd61c28 SHA512 7b52977e02aca9bf4754d60957e69d47f9f447fe8bda40f146bbbd31eb7ebf2fc01c600c9b279f97cdf203e2cc66d96c1617c08041bc1215a02a80a90244417c
+DIST pyo3-macros-backend-0.22.5.crate 66308 BLAKE2B d30c021da6b013abb8bbc8d55f110f3394c79d85f02506d7a42bba256afd639647210ed66bae289f4dfbd6d060995c0365b278749798b302eb89f1b09c074ab3 SHA512 8a79f9c6f948375e20804d2bc4b98d9fd7d39f99a936afb1d9a0fab599a3ad07e95bc985aa51b0ab8410b6b4f5ebaa2aa347013ae722a2b3f4c51f318415d472
DIST python3-dll-a-0.2.10.crate 74573 BLAKE2B 770c5b070f4dd1b9639b8aff59bb733575eb1117ae8e510818b6e13bdc69b22bcad395bb5cf0d1931de3562775a56e1404bb7fca7384b62e5e782e6284fa1494 SHA512 c1171c29f6914ff809950a9f6c330638e72c58c7c691bf4d9e765dee47166915cc91131b494b65aeb3a812543690c5072f2f5ff32cdebb76ba588330f9c74cdb
DIST quote-1.0.36.crate 28507 BLAKE2B b93495163ed205e33543ed45f084870240d479071d643704b6e348fb9ada6e1d8401893c13348b9964f4b6b17ddb96cb5458eec540f0d761655fcb96a4cd9129 SHA512 f1f002a912692f7ffd4912ca980ec57ff4aca3a7d9e2e42e9e3409e2105c9f59d86c05719f6af309bccaef2f8843b0848a6e3afda3356e045d8e7cc5956ae685
DIST radium-0.7.0.crate 10906 BLAKE2B d576e0ea5c5287bcb6740cee3a3838b6ae4dfdef0ef05d34634b96dba5159e48260233db57a767c9e032fa5d9a5798361335cb19f7844f450113ece30ffbc51d SHA512 51e23cf52997b46c0018a94b0259b29d7bf33ddba19f6db406ca57ee5b1417d7e5f27dda3bb487d0099886011a97f238e8b3dd4d6c86e8464c0b471c1a7622a0
@@ -70,9 +76,12 @@ DIST rustversion-1.0.17.crate 17621 BLAKE2B 1f077ca6fd90333724d1ea9df7f5b178f37f
DIST ryu-1.0.18.crate 47713 BLAKE2B 409cdf4b4e77685394018371e91ad6fdb175ac57e1df9f902871f13208515e5a2ab1daa226fc1e7291278e64448332845be4cc9409bce3b2f3daed409259e104 SHA512 a9b2beac778ec47e6be303148d7512ee681bd2361f6e4ac6db32c8b4baf86a8c5eb5b0d02eacd6131ae88c7b5105c57018c3050676e0b3dd1ed9c4d2fd650e84
DIST serde-1.0.209.crate 78364 BLAKE2B f6b4c2bd931a8067482ca033211c4e85c0dfd6084cb599c38a9ba666cce30489685a3a6a8a539eb6e41141a52328943dccbfe25dbd857af16665094fdf7c3f45 SHA512 25d2236eedc08fa3b9d078a1971df705c4f428b7a4e6a2d28d9f0f9893c19de745bffffe3fa9f3c08074bf4359aaf09cc28770e4b14c21c66d6a0b9411738f7b
DIST serde-1.0.210.crate 78338 BLAKE2B b3621d1313312177a346313e6e384fe9660f74eefb18e6cffa39fc2aadc0ab73be84b9037c59b716e5feafcd73f4f054f83e6d17d82746984b3064bf8d3ed338 SHA512 0d853ca51543ae8b4a0c70204ff4e559a4eec77af3d3bdcfc75c5905c80d4ffd1bd9eb8258ea4f6ecfbdd26477ecac7dd698d84d86759fa32e03a9cce02fa4ae
+DIST serde-1.0.213.crate 78349 BLAKE2B 0426dcc9a6a3f7a2f35ace4ac9e023ea7607e5677ec71cd63884cdfd1280ddfebf0d1c38843ea8a076c3371b0b4d524eddd80f5cdc0c8799d7d7099a682c38f2 SHA512 94b3f1ee0008dbb434bec1b19e87202cc2791c1b0948aa71f3ec71a66693a00bc7fd2218c4bfb361b71922db18f0e0a89fbb605e68e91c38376e2d4e3f3ffdfc
DIST serde_derive-1.0.209.crate 56023 BLAKE2B 752bc9f46b880d0ed8a4f7e29ffde1343c63c4be1e9740afb1a28dcbff5bedfe077eb51c7052adecfbdbd9942c30b63a27914deb6401a2ecaf70fef0f64cd80a SHA512 22c4eb76412bd73814d0b86209b110b9e59626f64b41cbc250755144e545ff30fa69972ac93d74f988a3a6a239d9138f4e8a23b283c746a0aa5fcddfbe077cd6
DIST serde_derive-1.0.210.crate 56020 BLAKE2B b346e574c99b6a8b12dfc29b20a4fd2daf8abfabd3714ccfde059a3a1f14a5628d4acf6a03f8076174fd28adfdb7cb9bbdb8ac0d4403aa2f43e917eed4b08028 SHA512 1c54d70a55007c00d3ff3d8c2096f4f9966431ba7bfd9195bcf41932de71b71c4ab934f9a8c5067cb56a042742cf0efab07377dbabf12feb1af6d20399de00b5
+DIST serde_derive-1.0.213.crate 56625 BLAKE2B 0ebf7b11793c0f5368c363ab37a40d954d6b91dd0db15f16e5f2db7d1f2f747abcce7f1e562cc7323d1e837f1d3aa51978229f278c20af7a90c748d659b1c917 SHA512 38aa6b70234c780534b4c45056dec71224cb993aea82866b5a3e9be1830ac8ad56b2618a1db51e1b350a6534ddde8eb9e49b8a74569c0c4081a56d5cbe296477
DIST serde_json-1.0.128.crate 149520 BLAKE2B 246eb865f64a0f161b79f3d4f783dbadbc930c4a19edb6c0fe8f0c6145c7c47be4b692d3e084b1b500820ece8e94214820978cf898926dd805bd431fb411bbc9 SHA512 9e6290d3a6a971b3c37bbc97097b8179e64c655779b43c7b75303a35ef7030f5401b3a5f62cbc95a7bd5f42ecbefb0b469234d78a76c8c1597726d8e08908a7d
+DIST serde_json-1.0.132.crate 150549 BLAKE2B a49aef7737fad2e6f6ec79cb6da00c734e7de7ef16be321846d1f6229534b58e15ceb0f6306eeae6f85bf07431d82959c0a56ed1394d21a67b65c8c48e971f3f SHA512 9d157ce7d705fee8245569e7c577310782b69675a6e459f21904544b824a1ca5c9b445d17419fee438dfeb6fcc35343ba14e022043fffade0210b6d2c1b5795e
DIST smallvec-1.13.2.crate 35216 BLAKE2B 31a268aad595c06cdb078577a97b089dbea156a0df307a3e6aaaf4861bd9a680c5b11921da9dbdb1bcfe17d58c0cbede1ffe6bba3aef59b384fb1b9703c62d27 SHA512 a97c758b668e40ad9eb572e65feeae4954e09200a04ab92e26a13b48894381cd3a3d2571070c4b7a5e181182e1ede9688f990650342ec69ecfe1a264d234c679
DIST speedate-0.14.4.crate 33077 BLAKE2B 001a3329e90cf3dc5d8c4db870c3b5339e189190c8b7a89c262bb19efec02c9e42eeba0dd5d12a940a6fb3f8b10385aa05a72ea6f98230c989c68e0be4fe8959 SHA512 13ff498cb0885ecbe7a6fef96c48bca166a560598206b16b003e1237eafc525a0cbb6b401d060b4431a50a9638df88b7ae6834d8980f6474aea88cfc827ec329
DIST stable_deref_trait-1.2.0.crate 8054 BLAKE2B 287a65c3e5b47213544a43e57c60a54add60b4c2e3c8d042407d860cc950ba7ca01a2e67ce56aed6744992b61ec1f9aed3321e3d88482e33129548b7d51df205 SHA512 a13cfb22723f1f2cf089b2d07d657846f50c37bc0438d1a76096bea30214cad226b7a422c21f9e191ce87071da8a141d61882aedf9e0203a5fffdfda86a5fb03
@@ -80,6 +89,7 @@ DIST static_assertions-1.1.0.crate 18480 BLAKE2B 358dd5ac413d06f62da0388e2016c5f
DIST strum-0.26.3.crate 7237 BLAKE2B bdc348c718c39609c00b9fa7d47b7090b1467022b7a8a28cc7c8a72a0aef20569c6ab22a8a8d26c2d9272f18d000e4ce94858a6647194f0a7b86d812d52b05a9 SHA512 62f116d5bbc6167a6ac68b049f8045bc660901f1ce1252f8bdcd91cb28bef821aad8098905369db6c2fe74c134a5d549e55ddd28e383d7d78f7175258924b268
DIST strum_macros-0.26.4.crate 27531 BLAKE2B 7f7d57c957a1591054288fcae6590a5e669fba1b47d8f1a52371ce60fd84f91fdb430e48cc7edbb5fc72914be5ce12af29758b653680da3f4177339b31206750 SHA512 77a17ce47d5e8fe8a89cb6aa6c3ca5d5c2625aea0f93456f05a9994238cd3b08b3f7c6a45e9b3db21bca8fb5759f505f15cc111ac84acbbb34d59cdae8307b0b
DIST syn-2.0.68.crate 265035 BLAKE2B 8bc6f68ed286bea617a2cfaf3949bb699d3a0466faeca735314a51596ce950e4ee57eda88154bd562c1728cfaff4cdb5bc1ba701b9d47a9c50d4c4f011bee975 SHA512 7b781f8ea2b0d01c06f47d165da99cd96e3b44a33de1d77c78a2cb37ebe3f8304f426ba3d0d1cf766241dcc0537908774504df7d455d63bf89ec22ac0499d372
+DIST syn-2.0.82.crate 272300 BLAKE2B 2982faee84539879f87ad34a426027b4b9117dea9ebc2249517070c98495f85f4c04017898705f256161f1fef1c450dd494b6044cfb91fe916fbae1e2ae51752 SHA512 b1e90fc37a68998e4708ba5c68581feeb88d73ce56b73e6c87f1341ddba04cb6afd43ebf83abecee94c03b2bf9df5b0dd9dfad32d7914e82ddf6c50cab81267d
DIST synstructure-0.13.1.crate 18327 BLAKE2B b29ee88c559a2d58fa46b7af155b448f001649ea79a1898f0ac87e69108b87c65cbd287d8f9001f360df7fef06ff39c937b48d33e487a30c8eec6a46c639c0c2 SHA512 09024193b44fc9a8901bda845b9f86c57dad65d0f53e309b2e7e968538fab6f67db1c86e5e52a2eb8fd116dc073e3ad10983bd60764662ec6ba94fee22a958aa
DIST tap-1.0.1.crate 11316 BLAKE2B 60786fd5f12c2f06097330c26809fdcfce62716586d2e1985f8c01406d356ed0ab730a04dfe72ee3e1d6208a53c76c66883d45a76130750b41ba5b82aa721b83 SHA512 d69ff11a46e2fbc276212511878f48eb93640c0b147df6578ea057b23625f9366a7fc3926693fc3809688537af5ca919c91605beed364decf83c35a032310995
DIST target-lexicon-0.12.14.crate 25508 BLAKE2B 5ebb6b49e5c3b0057959557651287d4bf5ffe5b499340019ff64d5fc3b64e780e344982e358c94b1b25a20bf0f526a584aeecc704695b50a55cc268dd65edb97 SHA512 3410ecc0faf854f49c41c99f83972960e67065b1e0e78557a7c4996d996109bfd167d2121a019f5256f996c896cd45af032038ab7918fdcc6ee6311693ce951a
@@ -94,6 +104,7 @@ DIST url-2.5.2.crate 79704 BLAKE2B be3526298a8816fbd88385caf49c2d58aacc7dcbe2d91
DIST utf16_iter-1.0.5.crate 9736 BLAKE2B edcd9776113d4d2b267a9cbd58cab11c5497ff1a8252c4e695de619fc8e5eee1595343c857651774b3670d13392144e9d7df579f2e226842aa7e4e023a76fb65 SHA512 44dcbc5a7db149392fdaa31862be240f78fc5d7616f54be32cfc8f3adbee310e8681ae1bbe6edaad8a7fe6e7759dbac8ae4f69d0dbdbe5350c21dccdbbe975fa
DIST utf8_iter-1.0.4.crate 10437 BLAKE2B 1e7a8b9241ebbb62cb497542b970473780f735010a0af900771a43abceae4e7f362d21d4f79f7c00630e4549400875ea17574b2cbe4f5ea19e8ed428e3b5577d SHA512 a72671995b3eb295581c60dc632e4a25ba257227fb5d58a8bec322428b6d69529bba79a6f02b8e7ee6698b7779d9d6695f5badad73e07c254b00c9d6256c9090
DIST uuid-1.10.0.crate 47648 BLAKE2B 370f56b5057fc43ed6645ca4a032737230242c88f3c6945248585054a0d1de0c85cb2eb21bd4c759c1ca73df1b5005652f74b474537116c4fd6642cb60d274ff SHA512 e17db9433d919b51468acaebd240a2cb218d07f099fade49118ca9313f8cdf6aa3103e7aa24440be65a4f25a25f8f511e36dba08cbef27747f9e43b849cd612b
+DIST uuid-1.11.0.crate 47683 BLAKE2B 37a601b0fe7ec57333613f8c18ada76bd784c43c8af7c252200a7c9c76b445b179931cdf727b5ddae3ffa3fa29c5a13507fb0f2bd604d306982843e042038314 SHA512 0cd1b95fc2247bf4e627de6abb41e332ebaf39e5720640e52b9f235f7a0e2d451e7a486efdabb616ce00e47832d21919611683d0e6a71c86a86f290940cfda32
DIST version_check-0.9.5.crate 15554 BLAKE2B 131e75cc287518831e142430e2a39b48e4275874f4473780d47a27552294097aa1cddb65c385583e1022478f940b495eb43c24a8b1617b8ac5a24af3340c0d72 SHA512 d11d5a2240ab0c67ea69db56561ce202201edeef9a8e5eda3d9ae7ab7bb5752d8f343fe7f6536d8383de8d55f9024efa84f66a0c21e69563b7a38c4a628014db
DIST wasi-0.11.0+wasi-snapshot-preview1.crate 28131 BLAKE2B fe501889f25d65e2d032f885cc50c4f8bf7dd70fd5cbc438de349838370d8699e9627b0a4fc76030ea9fe6d508f41d0c9928a875fdbc47e73bfb17241cf7b155 SHA512 043500ab28cd9cb779475255da5d109ebab7fccca72b64873dc28d77bc5a157ba8d96b9e8f05223b5b36c7089bb7b4ba87657fc69bac16b78972f897294a865f
DIST write16-1.0.0.crate 7218 BLAKE2B 548796314339463e4b71f8af3d344e45dc89480e103180b6d56c90fcb816ad1a37ab2ba20766c4b9754f2cc686752eb1f3a5a12ec1ed4369a9cef749ad4f3e97 SHA512 655a207b8082bb88e462f992ecb4833cef9d590da06d6356b41d109df2862b49ee5705189c78a607b549e7343035119d158020d58fcad49608e51659357a83c1
diff --git a/dev-python/pydantic-core/pydantic-core-2.25.0.ebuild b/dev-python/pydantic-core/pydantic-core-2.25.0.ebuild
new file mode 100644
index 000000000000..3083ddb7f40b
--- /dev/null
+++ b/dev-python/pydantic-core/pydantic-core-2.25.0.ebuild
@@ -0,0 +1,167 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+CRATES="
+ ahash@0.8.11
+ aho-corasick@1.1.3
+ autocfg@1.3.0
+ base64@0.22.1
+ bitvec@1.0.1
+ cc@1.0.101
+ cfg-if@1.0.0
+ displaydoc@0.2.5
+ enum_dispatch@0.3.13
+ equivalent@1.0.1
+ form_urlencoded@1.2.1
+ funty@2.0.0
+ getrandom@0.2.15
+ hashbrown@0.14.5
+ heck@0.5.0
+ hex@0.4.3
+ icu_collections@1.5.0
+ icu_locid@1.5.0
+ icu_locid_transform@1.5.0
+ icu_locid_transform_data@1.5.0
+ icu_normalizer@1.5.0
+ icu_normalizer_data@1.5.0
+ icu_properties@1.5.1
+ icu_properties_data@1.5.0
+ icu_provider@1.5.0
+ icu_provider_macros@1.5.0
+ idna@0.5.0
+ idna@1.0.2
+ indexmap@2.2.6
+ indoc@2.0.5
+ itoa@1.0.11
+ jiter@0.5.0
+ lexical-parse-float@0.8.5
+ lexical-parse-integer@0.8.6
+ lexical-util@0.8.5
+ libc@0.2.155
+ litemap@0.7.3
+ memchr@2.7.4
+ memoffset@0.9.1
+ num-bigint@0.4.6
+ num-integer@0.1.46
+ num-traits@0.2.19
+ once_cell@1.19.0
+ percent-encoding@2.3.1
+ portable-atomic@1.6.0
+ proc-macro2@1.0.86
+ pyo3-build-config@0.22.5
+ pyo3-ffi@0.22.5
+ pyo3-macros-backend@0.22.5
+ pyo3-macros@0.22.5
+ pyo3@0.22.5
+ python3-dll-a@0.2.10
+ quote@1.0.36
+ radium@0.7.0
+ regex-automata@0.4.8
+ regex-syntax@0.8.5
+ regex@1.11.0
+ rustversion@1.0.17
+ ryu@1.0.18
+ serde@1.0.213
+ serde_derive@1.0.213
+ serde_json@1.0.132
+ smallvec@1.13.2
+ speedate@0.14.4
+ stable_deref_trait@1.2.0
+ static_assertions@1.1.0
+ strum@0.26.3
+ strum_macros@0.26.4
+ syn@2.0.82
+ synstructure@0.13.1
+ tap@1.0.1
+ target-lexicon@0.12.14
+ tinystr@0.7.6
+ tinyvec@1.6.1
+ tinyvec_macros@0.1.1
+ unicode-bidi@0.3.15
+ unicode-ident@1.0.12
+ unicode-normalization@0.1.23
+ unindent@0.2.3
+ url@2.5.2
+ utf16_iter@1.0.5
+ utf8_iter@1.0.4
+ uuid@1.11.0
+ version_check@0.9.5
+ wasi@0.11.0+wasi-snapshot-preview1
+ write16@1.0.0
+ writeable@0.5.5
+ wyz@0.5.1
+ yoke-derive@0.7.4
+ yoke@0.7.4
+ zerocopy-derive@0.7.34
+ zerocopy@0.7.34
+ zerofrom-derive@0.1.4
+ zerofrom@0.1.4
+ zerovec-derive@0.10.3
+ zerovec@0.10.4
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Core validation logic for pydantic written in Rust"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic-core/
+ https://pypi.org/project/pydantic-core/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 Unicode-DFS-2016
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=virtual/rust-1.70.0
+ test? (
+ >=dev-python/dirty-equals-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.63.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.10.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/pydantic_core/_pydantic_core.*.so"
+
+src_prepare() {
+ sed -i -e '/--benchmark/d' pyproject.toml || die
+ sed -i -e '/^strip/d' Cargo.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+ local EPYTEST_DESELECT=(
+ # TODO: recursion till segfault
+ tests/serializers/test_functions.py::test_recursive_call
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf pydantic_core || die
+ # tests link to libpython, so they fail to link on pypy3
+ [[ ${EPYTHON} != pypy3 ]] && cargo_src_test
+ epytest -p pytest_mock -p timeout -o xfail_strict=False
+}
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.32.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.32.0.ebuild
index 2bb62a8ab662..c340037f1128 100644
--- a/dev-python/pytest-httpx/pytest-httpx-0.32.0.ebuild
+++ b/dev-python/pytest-httpx/pytest-httpx-0.32.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 ~riscv ~sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~mips ~ppc ~ppc64 ~riscv ~sparc x86"
RDEPEND="
=dev-python/httpx-0.27*[${PYTHON_USEDEP}]
diff --git a/dev-python/treq/treq-24.9.1-r1.ebuild b/dev-python/treq/treq-24.9.1-r1.ebuild
index 3b384484bc53..686efdbe5593 100644
--- a/dev-python/treq/treq-24.9.1-r1.ebuild
+++ b/dev-python/treq/treq-24.9.1-r1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/truststore/Manifest b/dev-python/truststore/Manifest
index e623e6922217..787939f6b3c7 100644
--- a/dev-python/truststore/Manifest
+++ b/dev-python/truststore/Manifest
@@ -1 +1,2 @@
+DIST truststore-0.10.0.gh.tar.gz 28644 BLAKE2B cf83a6936e361bb08f399ea5f6739acbe254dab380b06cf4befab8e1084e01d0757afd02eb0b9718963b4249280e2fa629b079eea143a7d3c5bda3767d4e0611 SHA512 eb1b16f093f32ff8be29bb696e92843823a8ffe2e7428ea989ee987d94d7328b5c40d6d8e5aa25eb223ca348ca30b29018decaec11d6106221753fd4525aa5b0
DIST truststore-0.9.2.gh.tar.gz 27256 BLAKE2B 0f03da308697a6bcf8def97b875a962f484418dc6b54d6795a9de5dc68b949f145e6611aa6b4bebcde3f03693bbdfaaa238a9d32b5f9b2d635b4e3075420f239 SHA512 e2d9da3d22a2f06d83dd9c7c9014dd689d8e915c7c8b8b33a3526859d15e9a5d4e86162f51f22b566e844a0c6a5b16fa3ab6907a56ce11c4fcc27444493a5970
diff --git a/dev-python/truststore/truststore-0.10.0.ebuild b/dev-python/truststore/truststore-0.10.0.ebuild
new file mode 100644
index 000000000000..81e48489a55f
--- /dev/null
+++ b/dev-python/truststore/truststore-0.10.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Verify certificates using native system trust stores"
+HOMEPAGE="
+ https://github.com/sethmlarson/truststore/
+ https://pypi.org/project/truststore/
+"
+SRC_URI="
+ https://github.com/sethmlarson/truststore/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86"
+# The vast majority of tests require Internet access.
+PROPERTIES="test_network"
+RESTRICT="test"
+
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p pytest_httpserver
+}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index ebb31d67f202..73f4755ead8a 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -9,3 +9,5 @@ DIST uv-0.4.22-crates.tar.xz 45654940 BLAKE2B 37fdf3512ca67f774a300b269aaa174844
DIST uv-0.4.22.gh.tar.gz 2721833 BLAKE2B 8687c67d39006636665b8dbd8b6c92003aa5e24311a6b42f39b176820ba4d06ee6fa578e6be919e43647df145e57d2f24f92ad0b2633ce83a7e46b6e5654fc73 SHA512 ac663e4c843a098c7f314ce2107b30e92b086357a6e25f82cfade91458b7cf63a4d2e66151393885038d5a60eaebd995366b53b78f2ee65b56b2abbfb8f6b6c7
DIST uv-0.4.25-crates.tar.xz 45691104 BLAKE2B ff0c2f51dbc00a7ed636e652c9641ec497573730120310589d4d189991ef67ddab00539d8604cafdb8603e9a16c6a9df96f6c6fa8f115df7f8ce0ed247e3f044 SHA512 09e001f4def5acc4bb3d6a962168571c58f318e79171bf0b7ec2e5b7c0fa535a1476be1d8c68c89f4734ca9dc749b288b626cfcd380a41fe8ee38a7bf12d4e6a
DIST uv-0.4.25.gh.tar.gz 2766139 BLAKE2B d3dbb50f34f6ce5df6885b6ce3fc04a943c472e2550f013c3fcc1d6b5d65b2418adf321d584f133f71ef0cdeb3b33acf03dc8fe211664e28e910937f6a50ffdf SHA512 c278d60ee09031e11c53e5862025a4e546c67a00ffa01da744658ca02a53507cd8f9fe9f0bce2cb7c29466ececd7f45e73f3db2c9b58d3451dd02a918e9213c2
+DIST uv-0.4.26-crates.tar.xz 45699316 BLAKE2B 87409df6d4ff9462225000d8c3e4cb4f29c460f94043b28accc227e8dc5cc78aaf362a43e4f7df09b20e1354afdd414d5d260ed2742162e9c307d1e7641ead16 SHA512 321c61ef404cb10753fef2bc7aa2be89fdd1b3e2d77065400874044af1987f7d8eea85af259bc3d678bb56f97c185ac1c6d0f6f769b25fc732a1153c3c9b0d39
+DIST uv-0.4.26.gh.tar.gz 2772725 BLAKE2B 46ea8245fdb0a38ad924e4d65d1c247f11c2419de1466b99f62ee486b0c3fc7a7dedf4a8d5168fc9b4bf062741b7865dd07d29cd1ab0e92772810982c10029d5 SHA512 e4ed845687641b1054703ec5419a34947409504353fbfc1f56aab3dbafa72c1705170f71b569fb8c92d549dc2d7ce26cd1fa4010e23d0360310743821d37b653
diff --git a/dev-python/uv/uv-0.4.26.ebuild b/dev-python/uv/uv-0.4.26.ebuild
new file mode 100644
index 000000000000..300f2f20f0e5
--- /dev/null
+++ b/dev-python/uv/uv-0.4.26.ebuild
@@ -0,0 +1,144 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [async_zip]='https://github.com/charliermarsh/rs-async-zip;011b24604fa7bc223daaad7712c0694bac8f0a87;rs-async-zip-%commit%'
+ [pubgrub]='https://github.com/astral-sh/pubgrub;7243f4faf8e54837aa8a401a18406e7173de4ad5;pubgrub-%commit%'
+ [reqwest-middleware]='https://github.com/TrueLayer/reqwest-middleware;d95ec5a99fcc9a4339e1850d40378bbfe55ab121;reqwest-middleware-%commit%/reqwest-middleware'
+ [reqwest-retry]='https://github.com/TrueLayer/reqwest-middleware;d95ec5a99fcc9a4339e1850d40378bbfe55ab121;reqwest-middleware-%commit%/reqwest-retry'
+ [tl]='https://github.com/charliermarsh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+)
+
+inherit cargo check-reqs
+
+CRATE_PV=${PV}
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+ https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+ SRC_URI+="
+ https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
+ "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+ MPL-2.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+DEPEND="
+ app-arch/bzip2:=
+ app-arch/xz-utils:=
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=virtual/rust-1.80
+ test? (
+ dev-lang/python:3.8
+ dev-lang/python:3.9
+ dev-lang/python:3.10
+ dev-lang/python:3.11
+ dev-lang/python:3.12
+ )
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+ local CHECKREQS_DISK_BUILD=3G
+ use debug && CHECKREQS_DISK_BUILD=9G
+ check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+ check_space
+}
+
+pkg_setup() {
+ check_space
+}
+
+src_prepare() {
+ default
+
+ # remove patch.* that breaks GIT_CRATES
+ local reqmw=${GIT_CRATES[reqwest-middleware]}
+ reqmw=${reqmw#*;}
+ reqmw=${reqmw%;*}
+ sed -i -e "/^\[patch/,\$s@^\(reqwest-middleware = \).*@\1 { path = \"${WORKDIR}/reqwest-middleware-${reqmw}/reqwest-middleware\" }@" Cargo.toml || die
+
+ # enable system libraries where supported
+ export ZSTD_SYS_USE_PKG_CONFIG=1
+ # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
+
+ # remove unbundled sources, just in case
+ find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
+
+ # bzip2-sys requires a pkg-config file
+ # https://github.com/alexcrichton/bzip2-rs/issues/104
+ mkdir "${T}/pkg-config" || die
+ export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+ cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+ Name: bzip2
+ Version: 9999
+ Description:
+ Libs: -lbz2
+ EOF
+}
+
+src_configure() {
+ local myfeatures=(
+ git
+ pypi
+ python
+ )
+
+ cargo_src_configure --no-default-features
+}
+
+src_compile() {
+ cd crates/uv || die
+ cargo_src_compile
+}
+
+src_test() {
+ # work around https://github.com/astral-sh/uv/issues/4376
+ local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
+ local -x COLUMNS=100
+ local -x PYTHONDONTWRITEBYTECODE=
+
+ cd crates/uv || die
+ cargo_src_test --no-fail-fast
+}
+
+src_install() {
+ cd crates/uv || die
+ cargo_src_install
+}
diff --git a/dev-python/uvicorn/uvicorn-0.32.0.ebuild b/dev-python/uvicorn/uvicorn-0.32.0.ebuild
index 70202c9c85f2..046e90a61965 100644
--- a/dev-python/uvicorn/uvicorn-0.32.0.ebuild
+++ b/dev-python/uvicorn/uvicorn-0.32.0.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~riscv ~sparc"
+KEYWORDS="~amd64 ~mips ~ppc64 ~riscv ~sparc"
IUSE="test-rust"
RDEPEND="
diff --git a/dev-python/webob/Manifest b/dev-python/webob/Manifest
index 761a1b0c9060..dc0921f21455 100644
--- a/dev-python/webob/Manifest
+++ b/dev-python/webob/Manifest
@@ -1 +1,2 @@
DIST webob-1.8.8.tar.gz 279035 BLAKE2B 61bbcc71763feccbd7a39b2649024c8d7a49ab5602fd638b4a895900395cd54bb6b0885e0bdeccd6504f5cc3162f7e198e94016b98836dbed4ed608605251052 SHA512 13093e77591a3bdb36e8f30a5d40922120d949faf24e3322b0116f1a14483180772b22c82237b0db4a17a914c2c99509847a9f2a717de09b4bffa55fa5269838
+DIST webob-1.8.9.tar.gz 279775 BLAKE2B 1442fb0cac7a5a55582956a89b998beb8b7e0cc75a7b09e8767ca2064c60a51102a5f8d08cd3d854c560f38448bea439acffa096b392811ba8941b9fa543e539 SHA512 ed5d91f864572b4bbeaa2aa6ada98285d597f83bc14613e62defb6fd6617986aa63534f0962d8045866471f8dfa09c803a5f2105efb84e5f618db6eeb804b9a1
diff --git a/dev-python/webob/webob-1.8.9.ebuild b/dev-python/webob/webob-1.8.9.ebuild
new file mode 100644
index 000000000000..d36db8c7c39b
--- /dev/null
+++ b/dev-python/webob/webob-1.8.9.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="WebOb"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="
+ https://webob.org/
+ https://github.com/Pylons/webob/
+ https://pypi.org/project/WebOb/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/legacy-cgi-2.6[${PYTHON_USEDEP}]
+ ' 3.13)
+"
+
+distutils_enable_sphinx docs 'dev-python/alabaster'
+distutils_enable_tests pytest
diff --git a/dev-python/zope-interface/Manifest b/dev-python/zope-interface/Manifest
index 9122271910e4..dfe52479aee2 100644
--- a/dev-python/zope-interface/Manifest
+++ b/dev-python/zope-interface/Manifest
@@ -1,3 +1,4 @@
DIST zope.interface-6.4.post2.tar.gz 294539 BLAKE2B c6d892357e2ead04841cc5dde924b560e0cd968d84c607e3d1d2ebd804c2d1fbc764a721e8182ffd373a6339967b5230153e3e4934359028e98a0ad4e26c92a9 SHA512 da53c2136a6057de49374a428e855ad731288e45f27787d255073adb188680cb46a7b493258da01d6bbce5d7c7181306b64eb90609520aab361ac07dfba00d4b
DIST zope.interface-7.0.3.tar.gz 252504 BLAKE2B 958605f010f7d282c8850160322bcc8ae4343508ff56d4ae2547815ac5dee76b39d9f7296402d1ccb9d410c64eabf5001be3df59d3768f9a400eaf0f4c94f1ad SHA512 fd086290943b6748b451ea0d375cd9d11a94a1d13c734cbd2834b062600400b5f7381e2b00fcdf6abbaaabf1abf687d15d44e81dd6967c39cbd19f9833b6c4dc
+DIST zope.interface-7.1.1.tar.gz 253129 BLAKE2B 643092ca4497cf1854be7010aa412f009fa0108e8015a7df0c0d1c00ca0cc66e44863c3e5b24ac950d87f1dbea9d7840b21e0ba9552f7b119779990e18c1d091 SHA512 92809dd7744d5d90c773a85e17b4fdad646690e4f55023ee97541553ef41419dcf733d2944ebb5be911d9b962920c7e1f9660eea1273dfe30751b7c875291fad
DIST zope_interface-7.1.0.tar.gz 300239 BLAKE2B 2e4bd67cc58ca1db399af86d054471fbc614ad3f85f9b8b3eec70d1481315ac54c0dd856e7ed893894e2f171bfe42e2399b7036fb1e0765060372cea95f5d47a SHA512 a73abcb21f7341d63f81b69001bfdbada9f347a4918a243481bfc415052a8e6b9fd8cc3c754d5be8ac2dcd472ceca806a44f27873877610d45457a8bdf33a169
diff --git a/dev-python/zope-interface/zope-interface-7.1.1.ebuild b/dev-python/zope-interface/zope-interface-7.1.1.ebuild
new file mode 100644
index 000000000000..c40b2aeb3b46
--- /dev/null
+++ b/dev-python/zope-interface/zope-interface-7.1.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/.}
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Interfaces for Python"
+HOMEPAGE="
+ https://github.com/zopefoundation/zope.interface/
+ https://pypi.org/project/zope.interface/
+"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ # force failure if extension build fails
+ sed -i -e "/'build_ext':/d" setup.py || die
+ if ! use native-extensions; then
+ sed -i -e '/ext_modules=/d' setup.py || die
+ fi
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local -x PURE_PYTHON=0
+ if ! use native-extensions || [[ ${EPYTHON} == pypy3 ]]; then
+ PURE_PYTHON=1
+ fi
+
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ distutils_write_namespace zope
+ eunittest
+}